summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2019-03-17 01:20:47 +0300
committerMikle Kolyada <zlogene@gentoo.org>2019-03-17 14:10:51 +0300
commit20bb050af43c2ab1adaac6078fff595579408737 (patch)
tree5486d87aa140ee9d51d5e965126936590f139518 /mate-base/mate-common
parentsys-process/cronie: Fixed cronie-1.5.3-systemd.patch (diff)
downloadgentoo-20bb050af43c2ab1adaac6078fff595579408737.tar.gz
gentoo-20bb050af43c2ab1adaac6078fff595579408737.tar.bz2
gentoo-20bb050af43c2ab1adaac6078fff595579408737.zip
mate-base/mate-common: Version bump (v1.22.0)
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'mate-base/mate-common')
-rw-r--r--mate-base/mate-common/Manifest1
-rw-r--r--mate-base/mate-common/mate-common-1.22.0.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/mate-base/mate-common/Manifest b/mate-base/mate-common/Manifest
index 25cea7429a5..942b91606a6 100644
--- a/mate-base/mate-common/Manifest
+++ b/mate-base/mate-common/Manifest
@@ -1 +1,2 @@
DIST mate-common-1.18.0.tar.xz 72608 BLAKE2B 7a280f440de8964ac725582f545c7ae15152c0fef21897dcacb820d539f74fb3aec1d87e9c75e98bc6053bf3db6a69daf2eca3cf2de0cbc8a32d65a62c43187e SHA512 cdc8d39a78ebb1a0fb0d8179814ce59691006a21cb10d78b818cf62a8f42c89d01c9126e93b5fa3b7ac27adce52d3a2512ac2fb63c41e6c5a698a767e9176563
+DIST mate-common-1.22.0.tar.xz 73448 BLAKE2B 7796423fd70732c063759e509c13a62fdc5c68e07768776b25ecbec7d06ca8bc68fad947287306ede99f5993a8def3b5f25a4560d3fa7677083a28c64d2c4288 SHA512 3887634081c126c6c23f560ca256ae83edbc5f77f0fc0128c2aaa2b5652672ec6f21ca29b0b44802b03c5dfd53bf0da860093ec73c46fba58f7be12a1db1d2a3
diff --git a/mate-base/mate-common/mate-common-1.22.0.ebuild b/mate-base/mate-common/mate-common-1.22.0.ebuild
new file mode 100644
index 00000000000..9692272ccbe
--- /dev/null
+++ b/mate-base/mate-common/mate-common-1.22.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit mate-desktop.org
+
+if [[ ${PV} == 9999 ]]; then
+ inherit autotools
+else
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="Common files for development of MATE packages"
+LICENSE="GPL-3"
+SLOT="0"
+
+src_prepare() {
+ default
+ if [[ ${PV} == 9999 ]]; then
+ eautoreconf
+ fi
+}
+
+src_install() {
+ mv doc-build/README README.doc-build \
+ || die "Failed to rename doc-build/README."
+
+ default
+
+ dodoc doc/usage.txt
+}